unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, clWebUpdate, clUpdateMgrForm;

type
  TMainForm = class(TForm)
    edtUpdateFile: TEdit;
    Label1: TLabel;
    btnEdit: TButton;
    clWebUpdate: TclWebUpdate;
    btnClose: TButton;
    procedure btnEditClick(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

procedure TMainForm.btnEditClick(Sender: TObject);
begin
  if (edtUpdateFile.Text = '') then
  begin
    raise Exception.Create('The file name must be specified');
  end;
  clWebUpdate.UpdateInfo.LoadFromXml(edtUpdateFile.Text);
  if TclUpdateMgrFrm.ShowEditor(clWebUpdate.UpdateInfo) then
  begin
    clWebUpdate.UpdateInfo.SaveToXml(edtUpdateFile.Text);
    ShowMessage(Format('The %s file has been updated', [edtUpdateFile.Text]));
  end;
end;

procedure TMainForm.btnCloseClick(Sender: TObject);
begin
  Close();
end;

end.
